#
# spec file for package jakarta-commons-collections (Version 3.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl ant attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat-32bit file filesystem fillup findutils flex fontconfig-32bit freetype2-32bit gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv java-1_4_2-sun java-1_4_2-sun-devel jpackage-utils klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-alternatives util-linux vim xerces-j2 xml-commons xml-commons-apis xorg-x11-libs-32bit zlib zlib-32bit zlib-devel

Name:           jakarta-commons-collections
BuildRequires:  ant java-1_4_2-sun-devel update-alternatives xml-commons-apis
%define base_name	collections
%define short_name	commons-%{base_name}
%define name		jakarta-%{short_name}
%define version		3.1
%define release		2jpp
%define	section		free
Version:        3.1
Release:        20.2
Summary:        Jakarta Commons Collections Package
License:        Apache
Group:          Development/Libraries/Java
Source0:        http://www.apache.org/dist/jakarta/commons/collections/source/commons-collections-3.1-src.tar.gz
Patch1:         %{name}-javadoc-nonet.patch
URL:            http://jakarta.apache.org/commons/collections/
BuildArch:	noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       %{short_name}
Obsoletes:      %{short_name}

%description
The introduction of the Collections API by Sun in JDK 1.2 has been a
   boon to quick and effective Java programming. Ready access to
   powerful data structures has accelerated development by reducing
   the need for custom container classes around each core object.
   Most Java2 APIs are significantly easier to use because of the
   Collections API. However, there are certain holes left unfilled
   by Sun's implementations, and the Jakarta-Commons Collections
   Component strives to fulfill them. Among the features of this
   package are: - special-purpose implementations of Lists and Maps
   for fast access

- adapter classes from Java1-style containers (arrays, enumerations)
   to Java2-style collections

- methods to test or create typical set theory properties of
collections such as union, intersection, and closure



%debug_package
%package javadoc
PreReq:         coreutils
Summary:        Javadoc for jakarta-commons-collections
Group:          Development/Libraries/Java

%description javadoc
This package contains the javadoc documentation for the Jakarta Commons
Collections package.

The introduction of the Collections API by Sun in JDK 1.2 has been a
   boon to quick and effective Java programming. Ready access to
   powerful data structures has accelerated development by reducing
   the need for custom container classes around each core object.
   Most Java2 APIs are significantly easier to use because of the
   Collections API. However, there are certain holes left unfilled
   by Sun's implementations, and the Jakarta-Commons Collections
   Component strives to fulfill them. Among the features of this
   package are: - special-purpose implementations of Lists and Maps
   for fast access

- adapter classes from Java1-style containers (arrays, enumerations)
   to Java2-style collections.

- methods to test or create typical set-theory properties of
collections such as union, intersection, and closure.



%prep
%setup -q -n %{short_name}-%{version}
%patch1 -p1
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
ant -Djava.io.tmpdir=. jar javadoc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 build/%{short_name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|jakarta-||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc PROPOSAL.html README.txt STATUS.html LICENSE.txt RELEASE-NOTES.html
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog -n jakarta-commons-collections
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jul 27 2005 - jsmeix@suse.de
- Adjustments in the spec file.
* Mon Jul 18 2005 - jsmeix@suse.de
- Current version 3.1 from JPackage.org
* Mon Feb 21 2005 - skh@suse.de
- update to version 3.1
- don't use icecream
* Thu Sep 16 2004 - skh@suse.de
- Fix prerequires of javadoc subpackage
* Thu Sep 02 2004 - skh@suse.de
- Initial package created with version 2.1.1 (JPackage 1.5)
